Datasets
GET
/v1/orgs/{org_id}/datasets/{dataset_id}/samplesList Samples
List samples in a dataset.
Bearer token or X-API-Keyscope: org memberoperation_id: datasets.listSamples
Authentication
Send either Authorization: Bearer <token> or X-API-Key: <token>. Any org token with sufficient scope. Create tokens from the console or the /v1/orgs/{org_id}/tokens endpoints. Requests without a valid credential are rejected with 401.
SDK install
pip install znyx-sdknpm install @znyx/sdkCode samples
Request
curl -X GET "$ZNYX_API_URL/v1/orgs/00000000-0000-0000-0000-000000000000/datasets/00000000-0000-0000-0000-000000000000/samples?limit=100&offset=0" \ -H "Authorization: Bearer $ZNYX_TOKEN"
Response
application/json
Successful Response
{
"total": 0,
"limit": 0,
"offset": 0,
"samples": [
{
"output_text": null,
"context_documents": null,
"tool_calls": null,
"tool_results": null,
"expected_categories": null,
"expected_score_range": null,
"language": null,
"attack_type": null,
"source": null,
"license": null,
"sensitivity": null,
"annotator_id": null,
"label_confidence": null,
"created_from_trace_id": null,
"id": "string",
"input_text": "string",
"context": "string",
"expected_decision": null,
"expected_rule_hits": null,
"metadata": null,
"created_at": null
}
]
}Schema: object
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
| org_id#path | string | required | - |
| dataset_id#path | string | required | - |
Header parameters
| Name | Type | Required | Description |
|---|---|---|---|
| X-API-Key#header | string | null | optional | - |
| authorization#header | string | null | optional | - |
Responses
| Status | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Response schema
totalrequiredinteger
limitrequiredinteger
offsetrequiredinteger
samplesrequired
Errors & what triggers them
| Code | Trigger | Fix |
|---|---|---|
| 401 | Missing or expired Authorization header. | - |
| 403 | Token does not have org access (wrong org_id, or insufficient role). | - |
| 404 | Resource does not exist in this org. | - |